/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

#define OLIMEX		0x90
#define MOD_RS485_ISO	0x04

#define SDA_TRIS TRISAbits.TRISA4
#define SDA_LAT LATAbits.LATA4
#define SDA_PORT PORTAbits.RA4

#define SCL_TRIS TRISAbits.TRISA2
#define SCL_LAT LATAbits.LATA2
#define SCL_PORT PORTAbits.RA2

#define JMP_TRIS TRISCbits.TRISC1
#define JMP_LAT LATCbits.LATC1
#define JMP_PORT PORTCbits.RC1

#define DE_TRIS TRISCbits.TRISC3
#define DE_LAT LATCbits.LATC3
#define nRE_TRIS TRISCbits.TRISC2
#define nRE_LAT LATCbits.LATC2
#define D_TRIS TRISCbits.TRISC5
#define R_TRIS TRISCbits.TRISC4

#define RXD_TRIS TRISCbits.TRISC0
#define TXD_TRIS TRISAbits.TRISA5

#define ADDR_MEM	0x7F8
#define ADDR_DFL	0xA0

#define Nop() asm("NOP")


/******************************************************************************/
/* Local Variables							      */
/******************************************************************************/

extern char ADDRESS;


/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/



void InitApp(void);         /* I/O and Peripheral Initialization */
void InitAddress(void);		/* Set the device ID at startup */

/*FLASH MEMORY COMMANDS*/
void WriteFlash(short data, short address);
char ReadFlash(short address);
void EraseFlash(short address);
void UnlockFlash(void);

/*OLIMEX COMMANDS ROUTINES*/
void CommandSetTris(void);
void CommandSetLat(void);
void CommandGetPort(void);
void CommandSetPullUps(void);

void CommandSetCLC(void);

void CommandSetAddress(void);


void StartSystem(void);
