/*************************************************************************
 *
 *
 *    (c) Copyright Olimex 2010
 *
 *    File name   : extcon_test_desc.c
 *    Description : External connectors test descriptions
 *
 *    History :
 *    1. Date        : 25, January 2010
 *       Author      : Aleksandar Mitev
 *       Description : Create
 *
 **************************************************************************/

#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "extcon_test.h"

/* DESCRITION OF UEXT */
const ROM PIN mainPinUEXT = {GPIOB, 1, UEXT, 9};
const ROM PIN pinsUEXT[] = {
	   {GPIOC, 6, UEXT, 3},
	   {GPIOC, 7, UEXT, 4},
	   {GPIOB, 4, UEXT, 5},
	   {GPIOB, 5, UEXT, 6},
	   {GPIOB, 2, UEXT, 7},
	   {GPIOB, 3, UEXT, 8},
//	   {GPIOB, 1, UEXT, 9}, -> PULL PIN
	   {GPIOA, 5, UEXT, 10}
};

ROM EXT_CON_DESC UEXT_desc = {
	&mainPinUEXT,
	pinsUEXT,
	ARRAY_NUMELEM(pinsUEXT),
};

/* END OF DESCRITION OF UEXT */

/* DESCRITION OF PCB_CON */

/* this is how the connector is counted
 * (UEXT is facing top)
 *  1 --  2
 *  3 --  4
 * ....
 * 19 -- 20
 * 21 -- 22
 */

const ROM PIN mainPinPCB_CON = {GPIOB, 1, PCB_CON, 2};
const ROM PIN pinsPCB_CON[] = {
	   {GPIOB, 0, PCB_CON, 1},
//	   {GPIOB, 1, PCB_CON, 2}, -> PULL PIN
	   {GPIOB, 2, PCB_CON, 3},
	   {GPIOB, 3, PCB_CON, 4},
	   {GPIOB, 4, PCB_CON, 5},
	   {GPIOB, 5, PCB_CON, 6},
	   {GPIOB, 6, PCB_CON, 7}, // PCC
	   {GPIOB, 7, PCB_CON, 8}, // PGD
//	   {GPIOC, 0, PCB_CON, 9},			// LED
//	   {GPIOC, 1, PCB_CON, 10},			// LED
//	   {GPIOC, 2, PCB_CON, 11},			// LED
//	   {GPIOC, 4, PCB_CON, 12}, // USB
//	   {GPIOC, 5, PCB_CON, 13}, // USB
	   {GPIOC, 6, PCB_CON, 14},
	   {GPIOC, 7, PCB_CON, 15},
//	   {GPIOA, 0, PCB_CON, 16},			// LED 
//	   {GPIOA, 1, PCB_CON, 17},			// LED
//	   {GPIOA, 2, PCB_CON, 18},			// LED
//	   {GPIOA, 3, PCB_CON, 19},			// LED
//	   {GPIOA, 5, PCB_CON, 20},			// LED
	   {GPIOA, 6, PCB_CON, 21},
//	   {GPIOA, 7, PCB_CON, 22}, // USB
};

ROM EXT_CON_DESC PCB_CON_desc = {
	&mainPinPCB_CON,
	pinsPCB_CON,
	ARRAY_NUMELEM(pinsPCB_CON),
};

/* END OF DESCRITION OF PCB_CON */



