// function for testing
#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "HardwareProfile.h"
#include "extcon_test.h"
#include "LEDs_control.h"



void testfunc(void)
{	
	char status, resultUEXT, resultPCB;

	ADCON1 |= 0x0F;                 // Default all pins to digital
	ANCON0 = 0xFF;                  // Default all pins to digital
	ANCON1 = 0xFF;                  // Default all pins to digital

	{
	unsigned int pll_startup_counter = 600;
	OSCTUNEbits.PLLEN = 1;  //Enable the PLL and wait 2+ms until the PLL locks before enabling USB module
	while(pll_startup_counter--);
	}

	LED_InitializeAll();
		
	resultPCB = 0;
	resultUEXT = 0;
	
	LED_allOFF();
	ExtConTest(&PCB_CON_desc, 1);
	while( !(status = ExtConTest(&PCB_CON_desc, 0)) )
		;
	if(status != 1)
		resultPCB |= 0xFF;		
	Nop();
	Nop();

	LED_allON();
	ExtConTest(&PCB_CON_desc, 1);
	while( !(status = ExtConTest(&PCB_CON_desc, 0)) )
		;
	if(status != 1)
		resultPCB |= 0xFF;		
	Nop();
	Nop();


	LED_allOFF();
	ExtConTest(&UEXT_desc, 1);
	while( !(status = ExtConTest(&UEXT_desc, 0)) )
		;
	if(status != 1)
		resultUEXT |= 0xFF;		
	Nop();
	Nop();

	LED_allON();
	ExtConTest(&UEXT_desc, 1);
	while( !(status = ExtConTest(&UEXT_desc, 0)) )
		;
	if(status != 1)
		resultUEXT |= 0xFF;
	Nop();
	Nop();
	
	LED_allOFF();
	if(!resultPCB)
		LED_on(0);
	if(!resultUEXT)
		LED_on(1);
	
	
	while(1);
}