// function for testing
#include "GenericTypeDefs.h"
#include "Compiler.h"
#include "HardwareProfile.h"
#include "extcon_test.h"
#include "LEDs_control.h"



void testfunc(void)
{	
	char i, dir, btnLock, bar;

	ADCON1 |= 0x0F;                 // Default all pins to digital
	ANCON0 = 0xFF;                  // Default all pins to digital
	ANCON1 = 0xFF;                  // Default all pins to digital

	{
	unsigned int pll_startup_counter = 600;
	OSCTUNEbits.PLLEN = 1;  //Enable the PLL and wait 2+ms until the PLL locks before enabling USB module
	while(pll_startup_counter--);
	}

	LED_InitializeAll();
	mInitAllSwitches();
	INTCON2bits.RBPU = 0;
	
	LED_allON();
	
	i = 0;
	dir = 0;
	btnLock = 0;
	bar = 0;
	while(1) {
		if(i < 0) {
			i = 1;
			dir = 1;
		} else if ( i >= NumberOfLeds ) {
			i = NumberOfLeds - 2;
			dir = 0;
		}	
		
		// delay
		{
			WORD delay = 0;
			while(--delay) {
				Nop();
				Nop();
			}	
		}	

		LED_allOFF();		
		if(bar) {
			BYTE j;
			for(j = 0; j <= i; j++)
				LED_on(j);
		}
		else {
			LED_on(i);
		}	
			
		if(!sw2) {
			if(!btnLock) {
				bar = (bar) ? 0 : 1;
				btnLock = 1;
			}
		}
		else
			btnLock = 0;
		
		if(dir)
			i++;
		else
			i--;
	}	
    	
	
	while(1);
}