/******************************************************************************/
/* User Level #define Macros                                                  */
/******************************************************************************/

/* TODO Application specific user parameters used in user.c may go here */

#define TXD_TRIS TRISCbits.TRISC6
#define TXD_LAT	LATCbits.LATC6
#define TXD_PORT PORTCbits.RC6
#define RXD_TRIS TRISCbits.TRISC7
#define RXD_LAT LATCbits.LATC7
#define RXD_PORT PORTCbits.RC7

#define SDA_TRIS TRISBbits.TRISB5
#define SDA_LAT LATBbits.LATB5
#define SDA_PORT PORTBbits.RB5
#define SCL_TRIS TRISBbits.TRISB4
#define SCL_LAT LATBbits.LATB4
#define SCL_PORT PORTBbits.RB4


//Define Addresses Range 0xF0 - 0xFF

/******************************************************************************/
/* User Function Prototypes                                                   */
/******************************************************************************/

/* TODO User level functions prototypes (i.e. InitApp) go here */

void InitApp(void);         /* I/O and Peripheral Initialization */
void StartI2C(void);
void StopI2C(void);
char WriteByte(short data);
char ReadByte(void);
int ReadWord(void);
void Delay(void);
void ScanAddresses(void);
char FirstFree(void);
void Erase_Flash(void);
void DelayMs(void);

void CommandSetTris(char data);
void CommandSetLat(char data);
void CommandSetPullUps(char data);
char CommandGetPort(void);
void CommandDummy(void);
int CommandGetTemp(char data);
char CommandSetAddress(char data);
void CommandSetRelay(char address, char data);
void CommandSetCLC(char address, char data);

char ScanDevices(void);
char ScanAddress(char address);

extern struct _DevicesFound
{
	unsigned char ID;
	unsigned char Company;
	unsigned char Device;
	unsigned char Address;
};

extern struct _DevicesFound DevicesFound[10];




